<form *ngIf="ensemble" #f="ngForm">
  <div class="form-group">
    <label for="nameInput" class="required">Ensemblename</label>
    <input id="nameInput" class="form-control" type="text"
           #name="ngModel" [(ngModel)]="ensemble.name"
           name="nameInput" placeholder="Mein Gesangesverein"
           required>
    <app-show-form-errors [control]="name"></app-show-form-errors>
  </div>
  <div class="form-group">
    <label for="organizationInput" class="required">Organisation</label>
    <select id="organizationInput" class="form-control"
            [(ngModel)]="ensemble.organization.id"
            name="orgaInput" #orgaInput="ngModel"
            required>
      <option value="" *ngIf="organizations && organizations.length > 1">Bitte auswählen</option>
      <option *ngFor="let organization of organizations" [ngValue]="organization.id">
        {{organization.name}}
      </option>
    </select>
    <app-show-form-errors [control]="orgaInput"></app-show-form-errors>
    <small class="form-text text-muted">
      <b class="text-danger">Achtung!</b> Die zugehörige Organisation kann nachträglich nicht mehr verändert werden!
    </small>
  </div>
</form>

